package com.yihu.jw.entity.iot.platform;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2020/5/6
 */
@Entity
@Table(name = "iot_interface_audit_detail")
public class IotInterfaceAuditDetailDO extends UuidIdentityEntityWithOperator implements Serializable {

    @Column(name = "interface_id")
    private String interfaceId;//接口审核ID

    @Column(name = "share_interface_id")
    private String shareInterfaceId;//共享接口字典ID

    @Column(name = "method_name")
    private String methodName;//方法名

    @Column(name = "interface_name")
    private String interfaceName;//接口名称

    @Column(name = "type_name")
    private String typeName;//业务类型名称

    @Column(name = "explanation")
    private String explanation;//说明


    public String getInterfaceId() {
        return interfaceId;
    }

    public void setInterfaceId(String interfaceId) {
        this.interfaceId = interfaceId;
    }

    public String getShareInterfaceId() {
        return shareInterfaceId;
    }

    public void setShareInterfaceId(String shareInterfaceId) {
        this.shareInterfaceId = shareInterfaceId;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getExplanation() {
        return explanation;
    }

    public void setExplanation(String explanation) {
        this.explanation = explanation;
    }
}
